unit FreeRaportHeader;

  //////////////////////////////////////////////////////////////
  //  (C) PA.       MuzCat   //
  //                                           // 
  //  www.zldo.narod.ru -                        //
  //  zldo@mail15.com -                                //
  //////////////////////////////////////////////////////////////

interface

type
  pDBRec = ^TDBRec;

  TDBRec = packed record      {     }
    Rate:byte;         // 
    FilePath:PChar;    //   
    Title:PChar;       // 
    Artist:PChar;      // 
    Album:PChar;       // 
    Comment:PChar;     // 
    Genre:PChar;       // 
    Date:PChar;        // 
    FileSizeStr:PChar; //  
    TimeStr:PChar;     // 
    TrackNo:byte;      //  
    BitRate:Smallint;  //  
    FileType:PChar;    //   ()
    PlayCount:integer; //  
    Drive:PChar;       // 
    Folder:PChar;      //  
    Additional1, Additional2, Additional3, Additional4:PChar; //    
  end;



 TEnumCallBackProc = function(Const State,Level,LevelType:integer;Const Info:pDBRec):integer;stdcall;
 /////////////////////////////////////////////////////////////////////////////
 //                                   //
 // State        MC_RAP_xxxxx  //
 // Level -    (Level = 0 -   )    //
 // LevelType -      (RAP_TO_xxxxx)            //
 //                                     //
 //   -  EN_ERROR_xxxx                         //
 /////////////////////////////////////////////////////////////////////////////

const
  //   TEnumCallBackProc
  EN_ERROR_NONE = 0; //  
  EN_ERROR_USERABORTED = 1; //  
  EN_ERROR_INTERNALERROR = 2; //   

  //    State
  MC_RAP_LEVEL = 0; // 
  {    TEnumCallBackProc   
     Info:

      TimeStr -      
      FileSizeStr -    
      PlayCount -    
      Title -  

   }

   MC_RAP_El = 1; //  
   {    TEnumCallBackProc     Info}

   MC_RAP_START = 2; //  
   { Level -     ,
      -1    
     Info.Title -  
   }

   MC_RAP_CLOSE = 3; //  
   { Level = 0   
         
   }

   { }
   RAP_TO_Title=0;
   RAP_TO_Artist=1;
   RAP_TO_Album=2;
   RAP_TO_Genre=3;
   RAP_TO_Date=4;
   RAP_TO_TrackNo=5;
   RAP_TO_FileType=6;
   RAP_TO_BitRate=7;
   RAP_TO_FileSize=8;
   RAP_TO_Time=9;
   RAP_TO_Comment=10;
   RAP_TO_FilePath=11;
   RAP_TO_Folder=12;
   RAP_TO_Drive=13;
   RAP_TO_PlayCount=14;
   RAP_TO_Additional1=15;
   RAP_TO_Additional2=16;
   RAP_TO_Additional3=17;
   RAP_TO_Additional4=18;
   RAP_TO_Rate=19;

type
  TRapInitProc = procedure(Var PluginType:PChar;Const Owner:THandle);stdcall;
  /////////////////////////////////////////////////////////////////////////////
  // PluginType -     (  )       //
  // PlugInTypeLen -   PluginType                                //
  //                                     // 
  // Owner -                                          //
  /////////////////////////////////////////////////////////////////////////////

  TEnumNeedRepeat = function():boolean;stdcall;
  ////////////////////////////////////////////////////////////////////////////
  //                                              //
  //    true                                           //
  //                                                 //
  //                                    //
  ////////////////////////////////////////////////////////////////////////////

  TConfigure = procedure(Const Owner:THandle);stdcall;
  ////////////////////////////////////////////////////////////////////////////
  //                                             //
  // Owner -                                          //
  ////////////////////////////////////////////////////////////////////////////

  TSetAdditionalNames = procedure(Const A1,A2,A3,A4:PChar);stdcall;
  ////////////////////////////////////////////////////////////////////////////
  //                              //
  // A1,A2,A3,A4 -                                                //
  //                                    //
  ////////////////////////////////////////////////////////////////////////////
  
implementation

end.
